<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Managing Hosts">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Adding and Deleting Hosts</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#21-host-management/adding-and-deleting-hosts.html">Open topic with navigation</a>
        </p>
        <h1>Adding and Deleting Hosts</h1>
        <p>There are a few ways that hosts can be automatically added to a project: through a Discovery Scan, Nexpose Scan, or import. When you run a scan or import, <span class="VariablesProductName">Metasploit Pro</span> gathers host information and stores it in the project database. If there are specific hosts that you want to add, without running a scan or import, you can manually add them to a project. Or if there are hosts that you scanned or imported that you do not want to include in the project, you can simply delete them.</p>
        <h2>Adding a Host to a Project</h2>
        <p class="leadin">To add a host to a project:</p>
        <ol>
            <li value="1">Select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click the <b class="UISelection">New Host</b> button from the Quick Tasks bar. The New Host form appears.<br /><br /><img src="../Resources/Images/host-management/hm-new-host-button1_517x91.png" style="width: 517;height: 91;" /></li>
            <li value="3">Fill out the <b class="UISelection">Name and Address</b> section with the host's network details. At a minimum, you will need to specify the host name and host IP address.<br /><br /><img src="../Resources/Images/host-management/hm-new-host-form-name_525x249.png" style="width: 525;height: 249;" /></li>
            <li value="4">Fill out the<b class="UISelection"> Operating System</b> section, if you know the OS that runs on the host. If you do not have this information, you can skip this step.</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Note: You can additionally specify the OS version, OS flavor, and Purpose. These fields are optional.<br /><br /><img src="../Resources/Images/host-management/hm-add-host-os-info_539x225.png" style="width: 539;height: 225;" /></p>
        <ol data-mc-continue="true">
            <li value="5">Select the <b class="UISelection">Lock edited host attributes</b> option if you do not want the host metadata to be editable. If you select this option, team members and subsequent scans/imports will not be able to modify the host metadata.<br /><br /><img src="../Resources/Images/host-management/hm-new-host-form-lock-attributes_521x237.png" style="width: 521;height: 237;" /></li>
            <li value="6">Click on the <b class="UISelection">Add Service</b> link, if you know there is a specific service running on the host that you want to add. You can add as many services as you need.<br /><br /><img src="../Resources/Images/host-management/hm-add-host-add-service_522x80.png" style="width: 522;height: 80;" /><br /><br /></li>
            <li value="7">Click the <b class="UISelection">Save</b> button when you are done.</li>
        </ol>
        <h2>Deleting a Host from a Project</h2>
        <p class="leadin">To delete a host from a project:</p>
        <ol>
            <li value="1">Select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Select the host or hosts that you want to delete.<br /><br /><img src="../Resources/Images/host-management/hm-selected-hosts_531x222.png" style="width: 531;height: 222;" /></li>
            <li value="3">Click the <b class="UISelection">Delete</b> button. A confirmation window appears.<br /><br /><img src="../Resources/Images/host-management/hm-delete-button_537x111.png" style="width: 537;height: 111;" /></li>
            <li value="4">Click <b class="UISelection">OK</b> to delete the host or hosts.</li>
        </ol>
    </body>
</html>